Host Cache Configuration Manager Get Cache Configuration Info
The swap performance configuration for the ESX host.
The swap performance configuration for the ESX host.
This includes configuration information for each datastore enabled for this purpose.
Required privileges: Host.Config.AdvancedConfig
Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostCacheConfigurationManager/{moId}/cacheConfigurationInfo
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostCacheConfigurationManager/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Responses
200
OK
[
{
"_typeName": "string",
"key": {
"_typeName": "string",
"type": "string",
"value": "string"
},
"swapSize": 0
}
]
array of
object
Host solid state drive cache configuration information.
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostCacheConfigurationManager/{moId}/cacheConfigurationInfo
Virtual Infrastructure Operations
POST
Host Cache Configuration Manager Configure Host Cache Task
GET
Host Cache Configuration Manager Get Cache Configuration Info